Log in to a registry without saving the login.
POST
/api/v1/registries/test
const url = 'https://example.com/api/v1/registries/test';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","preset":"dockerhub","server":"example","username":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/registries/test \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "preset": "dockerhub", "server": "example", "username": "example", "password": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
Unique in the organization: lowercase letters, digits and -.
string
preset
required
string
server
Required unless the preset names its server.
string
username
required
string
password
required
A password or access token; write-only.
string
Responses
Section titled “Responses”Media typeapplication/json
object
ok
required
boolean
error
string | null
checkedAt
required
integer format: int64
Examplegenerated
{ "ok": true, "error": "example", "checkedAt": 1}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}